<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    /******************************************************  图片文件上传组件Start  *********************************************************/

    $router->match(['put', 'post'], 'upload/delete-oss-file', 'UploadController@deleteOssFile'); //删除OSS私有资源文件

    $router->match(['put', 'post'], 'upload/delete-public-oss-file', 'UploadController@deletePublicOssFile'); //删除OSS公有资源文件

    $router->match(['put', 'post'], 'upload/user-avatar', 'UploadController@uploadUserAvatar'); //上传用户头像

    $router->match(['put', 'post'], 'upload/carousel', 'UploadController@uploadCarousel'); //上传轮播图

    $router->match(['put', 'post'], 'upload/resource-img', 'UploadController@uploadResourceImg'); //上传资源图

    $router->match(['put', 'post'], 'upload/resource-file', 'UploadController@uploadResourceFile'); //上传资源文件

    /******************************************************  图片文件上传组件end    *********************************************************/

    $router->get('/', 'HomeController@index');

    $router->get('users/getUserType', 'UsersController@getUserType');  //人员类型列表(后台组件使用)

    $router->get('users/getDepartmentType', 'UsersController@getDepartmentType');  //院系所类型列表(后台组件使用)

    $router->get('users/getYearList', 'UsersController@getYearList');  //年度列表(后台组件使用)

    $router->get('users/getProjectType', 'UsersController@getProjectType');  //项目类型列表(后台组件使用)

    $router->get('department/getHospitalList', 'DepartmentController@getHospitalList');  //附属医院列表(后台组件使用)

    //$router->resource('user', 'UserController');  //员工管理

    $router->resource('principal', 'PrincipalController'); //委托人信息

    $router->get('principal-list', 'PrincipalController@getList'); //委托人列表

    $router->resource('lawyer', 'LawyerController');  //律师信息

    $router->resource('covenant', 'CovenantController');  //合同信息

    $router->resource('lawyer_cost', 'LawyerCostController');  //律师成本表

    $router->resource('lycost-list', 'LawyerCostListController');  //律师成本明细

    $router->resource('lycost-collect', 'LawyerCostCollectController');  //律师成本汇总

    $router->resource('lawyer_income', 'LawyerIncomeController');  //律师创收表

    $router->resource('lawyer-covenant-income', 'LawyerCovenantIncomeController');  //创收收款表


    $router->resource('project_type', 'ProjectTypeController'); //项目类型

    $router->resource('user_type', 'UserTypeController'); //人员类型

    $router->resource('project_apply', 'ProjectApplyController'); //历年项目申请表

    $router->resource('project_ratify', 'ProjectRatifyController'); //历年项目获批表

    $router->resource('senior_professional', 'SeniorProfessionalController'); //高级职称参与表

    /**********************************  历年  *****************************/
    $router->resource('linian/declaration', 'DeclarationController'); //申报统计
    Route::get('nd/declarationExport', 'DeclarationController@export'); //导出

    $router->resource('linian/ratify', 'LnRatifyController'); //获批统计
    Route::get('ln/ratifyExport', 'LnRatifyController@export'); //导出

    $router->resource('linian/applyratify', 'LnApplyratifyController'); //申报获批汇总
    Route::get('ln/applyRatifyExport', 'LnApplyratifyController@export'); //导出

    $router->resource('linian/jyapplyratify', 'LnJyApplyratifyController'); //杰优、青优申报获批汇总
    Route::get('ln/jyApplyratifyExport', 'LnJyApplyratifyController@export'); //导出

    $router->resource('linian/department', 'LnDepartmentController'); //院系所历年获批
    Route::get('ln/departmentExport', 'LnDepartmentController@export'); //导出

    $router->resource('linian/hospital', 'LnHospitalController'); //院系所历年获批
    Route::get('ln/hospitalExport', 'LnHospitalController@export'); //导出

    $router->resource('linian/msratify', 'LnMsRatifyController'); //面上项目历年获批
    Route::get('ln/msRatifyExport', 'LnMsRatifyController@export'); //导出

    $router->resource('linian/qnratify', 'LnQnRatifyController'); //青年项目历年获批
    Route::get('ln/qnRatifyExport', 'LnQnRatifyController@export'); //导出


});
